Opening the iTunes Store.If iTunes doesn’t open, click the iTunes application icon in your Dock or on your Windows desktop.Progress Indicator
Opening the iBooks Store.If iBooks doesn't open, click the iBooks app in your Dock.Progress Indicator

iTunes is the world's easiest way to organize and add to your digital media collection.

We are unable to find iTunes on your computer. To buy and download Space Truckers: Premium by Epiphany Games Pty Ltd, get iTunes now.

Already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download
iTunes for Mac + PC

Space Truckers: Premium

By Epiphany Games Pty Ltd

Open iTunes to buy and download apps.


------------ Premium Version ------------
Get all the Space Truckers level packs for a single price! Also includes all future updates!

In a Universe where Truckers are constantly told to Ship It,
One man looked to change the System.
What he did not know was his decisions may ship him to his grave.
When your cargo is your pride, you have no choice but to SPACE TRUCKERS!!!!!.?

Space Truckers is a brutally challenging reflex based trader where you'll combine your market know how with twitch skills to make your riches. Featuring a single tap control, stark and colourful graphics and a easy to learn, difficult to master gameplay mentality, Space Truckers will make you just want to SHIP IT!

- Traditional buy low, sell high trading mixed with twitch based reflex gameplay.
- 20 levels of Truckin' goodness and more coming really really really soon.
- Clear and Colourful graphics
- Fantastic original score soundtrack
- Explosive trade!
- Works great on iPhone and iPad

What's New in Version 1.4

Fixed some graphical issues


iPhone Screenshot 1
iPhone Screenshot 2
iPhone Screenshot 3
iPad Screenshot 1
iPad Screenshot 2
iPad Screenshot 3
iPad Screenshot 4
Space Truckers: Premium
View In iTunes
This app is designed for both iPhone and iPad
  • $1.29
  • Category: Games
  • Updated:
  • Version: 1.4
  • Size: 52.3 MB
  • Language: English
  • Seller:
Rated 9+ for the following:
  • Infrequent/Mild Cartoon or Fantasy Violence

Compatibility: Requires iOS 3.1.3 or later. Compatible with iPhone 3GS, iPhone 4, iPhone 4S, iPhone 5, iPhone 5c, iPhone 5s, iPhone 6, iPhone 6 Plus, iPhone 6s, iPhone 6s Plus, iPad, iPod touch (3rd generation), iPod touch (4th generation), iPod touch (5th generation) and iPod touch (6th generation).

Customer Ratings

We have not received enough ratings to display an average for the current version of this application.